Bug 101140 - [LOCALHELP] Help for function RAWSUBTRACT doesn't exist
Summary: [LOCALHELP] Help for function RAWSUBTRACT doesn't exist
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: beimaginativeegroup
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: HelpGaps
  Show dependency treegraph
 
Reported: 2016-07-26 19:19 UTC by raal
Modified: 2017-03-01 19:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-07-26 19:19:56 UTC
add documentation of function RAWSUBTRACK
Comment 1 MM 2016-07-26 21:48:35 UTC
I guess you mean RAWSUBTRACT ???
Comment 2 Adolfo Jayme 2016-08-01 13:39:22 UTC
→ NEW
Comment 3 beimaginativeegroup 2016-10-06 19:34:29 UTC
Is this open for anyone? Are any pointers for this bug available, please?
Comment 4 Stanislav Horacek 2016-10-07 18:57:30 UTC
Yes, it's open as assignee is not set.

You have two options to solve this bug:
1. Write the Help content in plain text and the documentation team will convert it to XHP files.

2. You can directly edit the XHP files (XML format). See an example of adding help for a function here:
https://cgit.freedesktop.org/libreoffice/help/commit/?id=8259390d2d978d37dc73e8e2cb0f1fcd0299afdf

For that, you need:
- to create a new file in text/scalc/01 (the Help Authoring extension is the best option how to do that),
- to add this file to makefile,
- to embed this file into the list of functions. I assume RAWSUBTRACT should go to the mathematical functions, i.e. to the file text/scalc/01/04060106.xhp

CC to Olivier: if I forgot anything, please complete my instructions.
Comment 5 Olivier Hallot 2016-10-07 19:24:40 UTC
If you want it done quickly then better write a document with the contents. See other Calc function on what to put inside. Examples and corner cases described are welcome.

Then attach it here and one of us will transform into a help file.

Directly editing the XML files is tricky and subject to mistakes. But if you want to jump help editing, let us know.
Comment 6 beimaginativeegroup 2016-11-22 18:29:16 UTC
I have submitted a Draft on Gerrit. I have added Olivier as a reviewer. Is this correct? I'm sorry if I made a mistake somewhere but I'm totally new to Gerrit.
Comment 7 Commit Notification 2016-12-05 23:03:00 UTC
liongold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=75c62b4a8207e56c9998429a07760350badc9ded

tdf#101140 Adding Help for RAWSUBTRACT function
Comment 8 beimaginativeegroup 2016-12-06 16:08:13 UTC
Sorry again for the question. I understand that master will be used for the post-5.3 release (5.4 I guess). Can someone guide me if help content changes can be added to LibreOffice 5.3 (since it's still not announced officially) or 5.2? I'm sorry if this is a stupid question. Thank you for your patience.
Comment 9 Xisco Faulí 2017-01-13 12:23:48 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 10 beimaginativeegroup 2017-01-19 17:08:26 UTC
Ok, will do and sorry for not doing this earlier. However, I was waiting for a reply on whether this change should have been ported to previous versions (5.2 and 5.3 - I guess the question does not have sense because 5.3 is close to be out now I think).
Comment 11 Adolfo Jayme 2017-03-01 19:28:20 UTC
(In reply to beimaginativeegroup from comment #10)
> Ok, will do and sorry for not doing this earlier. However, I was waiting for
> a reply on whether this change should have been ported to previous versions

Updates to help involve changing translatable strings, which is blocked by our string freeze policy, so no: just fixing it in master is OK.